import React, {useState, useEffect} from 'react';
import {WhiteSpace, WingBlank, ActivityIndicator} from 'antd-mobile'
import TodoCard from '../../components/LogCard'
import TopSearch from '../../components/TopSearch'

const Backlog = (props) => {
    const [current, setCurrent] = useState()

    const [loading, setLoading] = useState(false);

    const [data, setData] = useState([{},{},{},{},{},{}]);

    const checkLog = () => {
        props.history.push(`/blank/info/example/1`)
    };

    //下拉加载
    const handleScroll = () => {
        const event = document.getElementById("common-content")
        const top = event.scrollTop;
        const scrollHeight = event.scrollHeight;
        const clientHeight = event.clientHeight;
        console.log(top, scrollHeight, clientHeight);
        if (top + clientHeight === scrollHeight) {
            setData([...data, {}, {}, {}, {}, {}, {}])
            // setCurrent(current + 1)
        }
    };
    useEffect(() => {
        window.addEventListener('scroll', handleScroll, true);
        return () =>  window.removeEventListener('scroll', handleScroll, true);
    }, [])

    return (
        <WingBlank>
            <ActivityIndicator
                toast
                text="加载中..."
                animating={loading}
            />
            <WhiteSpace/>
            <TopSearch onSearch={val => console.log(val)}/>
            {
                data.map((item, index) => (
                    <div key={index}>
                        <WhiteSpace/>
                        <TodoCard data={item} onClick={checkLog}/>
                    </div>

                ))
            }

        </WingBlank>
    );
};

export default Backlog;
